org.apache.ignite.spi.systemview.view.sql

## Class SqlSchemaView

- java.lang.Object
- - org.apache.ignite.spi.systemview.view.sql.SqlSchemaView

    public class SqlSchemaView
    extends Object

Sql schema system view representation.

### Constructor Summary

Constructors
Constructor and Description
`SqlSchemaView(SchemaDescriptor schema)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `predefined()`
`String` `schemaName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlSchemaView

    public SqlSchemaView(SchemaDescriptor schema)

Parameters:
  `schema` - Schema.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### predefined

    public boolean predefined()

Returns:
  `True` if schema is predefined, `false` otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023